%define name	gwyddion
%define version 2.19
%define release %mkrel 2
%define __libtoolize /bin/true

Summary: A SPM data analysis framework.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Engineering
Source: http://trific.ath.cx/Ftp/%{name}-%{version}.tar.bz2
URL: http://gwyddion.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: gtkglext-devel 
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel 
BuildRequires: libxml2-devel
BuildRequires: gtk-doc 
BuildRequires: python-devel
BuildRequires: ruby
BuildRequires: perl-devel
BuildRequires: gettext
BuildRequires: sed
BuildRequires: pkgconfig
BuildRequires: findutils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version


%description
Gwyddion is a modular program for SPM (scanning probe microscopy) data visualization and analysis. Primarily it is intended for analysis of height fields obtained by scanning probe microscopy techniques (AFM, MFM, STM, SNOM/NSOM), however it can be generally used for any other height field and image analysis, for instance for analysis of profilometry data.


%package devel
Summary: Headers, libraries and tools for Gwyddion module development.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Header files, libraries and tools for Gwyddion module development.  This
package also contains the API docmentation.


%package plugins
Summary: Example plugins for Gwyddion.
Group: Sciences/Engineering
Requires: %{name} = %{version}


%description plugins
Example plug-ins for Gwyddion. They are mostly useless except as a basis for
your own plug-ins.

%prep
%setup -q

%build
%configure2_5x --without-pascal --disable-rpath \
               --without-kde4-thumbnailer 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

 
#fix icon menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png \
%{buildroot}%{_datadir}/pixmaps

find $RPM_BUILD_ROOT%{_libdir} -name \*.la | xargs rm
%find_lang %name

%define schemas gwyddion-thumbnailer

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
%post_install_gconf_schemas %{schemas}
%{update_desktop_database} 
%{update_mime_database} 
%{update_menus}

%preun
%preun_uninstall_gconf_schemas %{schemas}


%postun 
/sbin/ldconfig
%{clean_desktop_database} 
%{clean_mime_database} 
%{clean_menus} 

%files -f %{name}.lang
%defattr(755,root,root)
%{_bindir}/%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
%{_sysconfdir}/gconf/schemas/gwyddion-thumbnailer.schemas
%{_bindir}/gwyddion-thumbnailer
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.*
%{_mandir}/man1/gwyddion-thumbnailer.1.bz2
%dir %{_datadir}/%{name}
%{_libdir}/%{name}/modules
%{_libdir}/libgwyapp2.so.*
%{_libdir}/libgwyddion2.so.*
%{_libdir}/libgwydgets2.so.*
%{_libdir}/libgwydraw2.so.*
%{_libdir}/libgwymodule2.so.*
%{_libdir}/libgwyprocess2.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/glmaterials
%{_datadir}/%{name}/gradients
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/ui/toolbox.xml
%{_datadir}/%{name}/pygwy/gwyutils.py

%files devel
%defattr(-,root,root)
%doc devel-docs/CODING-STANDARDS
%doc devel-docs/README.QA
%{_includedir}/%{name}/app/*.h
%{_includedir}/%{name}/libdraw/*.h
%{_includedir}/%{name}/libprocess/*.h
%{_includedir}/%{name}/libgwyddion/*.h
%{_includedir}/%{name}/libgwydgets/*.h
%{_includedir}/%{name}/libgwymodule/*.h
%dir %{_includedir}/%{name}/app
%dir %{_includedir}/%{name}/libdraw
%dir %{_includedir}/%{name}/libprocess
%dir %{_includedir}/%{name}/libgwyddion
%dir %{_includedir}/%{name}/libgwydgets
%dir %{_includedir}/%{name}/libgwymodule
%dir %{_includedir}/%{name}
%{_datadir}/gtk-doc/html/libgwyapp/*
%{_datadir}/gtk-doc/html/libgwydraw/*
%{_datadir}/gtk-doc/html/libgwyprocess/*
%{_datadir}/gtk-doc/html/libgwyddion/*
%{_datadir}/gtk-doc/html/libgwydgets/*
%{_datadir}/gtk-doc/html/libgwymodule/*
%dir %{_datadir}/gtk-doc/html/libgwyapp
%dir %{_datadir}/gtk-doc/html/libgwydraw
%dir %{_datadir}/gtk-doc/html/libgwyprocess
%dir %{_datadir}/gtk-doc/html/libgwyddion
%dir %{_datadir}/gtk-doc/html/libgwydgets
%dir %{_datadir}/gtk-doc/html/libgwymodule
%dir %{_datadir}/gtk-doc/html
%{_libdir}/%{name}/perl/Gwyddion/*
%{_libdir}/%{name}/python/Gwyddion/*
%{_libdir}/%{name}/ruby/gwyddion/*
%dir %{_libdir}/%{name}/perl/Gwyddion
%dir %{_libdir}/%{name}/perl
%dir %{_libdir}/%{name}/python/Gwyddion
%dir %{_libdir}/%{name}/python
%dir %{_libdir}/%{name}/ruby/gwyddion
%dir %{_libdir}/%{name}/ruby
%dir %{_libdir}/%{name}/include/gwyconfig.h
%doc %{_mandir}/man3/*
%doc %dir %{_mandir}/man3
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_libdir}/pkgconfig
%{_libdir}/libgwyapp2.so
%{_libdir}/libgwyddion2.so
%{_libdir}/libgwydgets2.so
%{_libdir}/libgwydraw2.so
%{_libdir}/libgwymodule2.so
%{_libdir}/libgwyprocess2.so

%files plugins
%defattr(755,root,root)
%{_libexecdir}/%{name}/plugins/file/*
%{_libexecdir}/%{name}/plugins/process/*
%dir %{_libexecdir}/%{name}/plugins/file
%dir %{_libexecdir}/%{name}/plugins/process
%dir %{_libexecdir}/%{name}/plugins
%dir %{_libexecdir}/%{name}

%changelog
* Sat Dec 26 2009 Texstar <texstar at gmail.com> 2.19-2pclos2010
- rebuild

* Tue Dec 15 2009 slick50 <lxgator@gmail.com> 2.19-1pclos2010
- 2.19

* Wed Nov 04 2009 slick50 <lxgator@gmail.com> 2.18-1pclos2010
- initial build 

